JMSEndpointStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JMSEndpointStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSEndpointStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSEndpointStatsImpl

All Implemented Interfaces:
  JMSEndpointStats, Resettable, Stats

Direct Known Subclasses:
  JMSConsumerStatsImpl, JMSProducerStatsImpl, JMSQueueStatsImpl, JMSTopicStatsImpl

public class JMSEndpointStatsImpl
extends StatsImpl
implements JMSEndpointStats

Statistics for a JMS endpoint, typically a MessageProducer or MessageConsumer but this class can also be used to represent statistics on a `Destination` as well.

Version:
  $Revision: 1.9 $

Field Summary
`protected CountStatisticImpl` | `expiredMessageCount`
`protected CountStatisticImpl` | `messageCount`
`protected TimeStatisticImpl` | `messageRateTime`
`protected TimeStatistic` | `messageWaitTime`
`protected CountStatisticImpl` | `pendingMessageCount`

Constructor Summary
`JMSEndpointStatsImpl()` This constructor is typically used to create a statistics object for a `Destination`
`JMSEndpointStatsImpl(CountStatisticImpl messageCount, CountStatisticImpl pendingMessageCount, CountStatisticImpl expiredMessageCount, TimeStatisticImpl messageWaitTime, TimeStatisticImpl messageRateTime)`
`JMSEndpointStatsImpl(JMSSessionStatsImpl sessionStats)` This constructor is used to create statistics for a `MessageProducer` or `MessageConsumer` as it passes in a `Session` parent statistic.

Method Summary
`void` | `dump(IndentPrinter out)`
`CountStatistic` | `getExpiredMessageCount()`
`CountStatistic` | `getMessageCount()`
`TimeStatistic` | `getMessageWaitTime()`
`CountStatistic` | `getPendingMessageCount()`
`void` | `onMessage(Message message)`
`protected void` | `setParent(CountStatistic child, CountStatistic parent)`
`protected void` | `setParent(TimeStatistic child, TimeStatistic parent)`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Field Detail

### messageCount

    protected CountStatisticImpl messageCount

### pendingMessageCount

    protected CountStatisticImpl pendingMessageCount

### expiredMessageCount

    protected CountStatisticImpl expiredMessageCount

### messageWaitTime

    protected TimeStatistic messageWaitTime

### messageRateTime

    protected TimeStatisticImpl messageRateTime

Constructor Detail

### JMSEndpointStatsImpl

    public JMSEndpointStatsImpl(JMSSessionStatsImpl sessionStats)

  This constructor is used to create statistics for a `MessageProducer` or `MessageConsumer` as it passes in a `Session` parent statistic.

Parameters:
  `sessionStats` -

### JMSEndpointStatsImpl

    public JMSEndpointStatsImpl()

  This constructor is typically used to create a statistics object for a `Destination`

### JMSEndpointStatsImpl

    public JMSEndpointStatsImpl(CountStatisticImpl messageCount,
                                CountStatisticImpl pendingMessageCount,
                                CountStatisticImpl expiredMessageCount,
                                TimeStatisticImpl messageWaitTime,
                                TimeStatisticImpl messageRateTime)

Method Detail

### getMessageCount

    public CountStatistic getMessageCount()

  Specified by:
    `getMessageCount` in interface `JMSEndpointStats`

### getPendingMessageCount

    public CountStatistic getPendingMessageCount()

  Specified by:
    `getPendingMessageCount` in interface `JMSEndpointStats`

### getExpiredMessageCount

    public CountStatistic getExpiredMessageCount()

  Specified by:
    `getExpiredMessageCount` in interface `JMSEndpointStats`

### getMessageWaitTime

    public TimeStatistic getMessageWaitTime()

  Specified by:
    `getMessageWaitTime` in interface `JMSEndpointStats`

### toString

    public String toString()

### onMessage

    public void onMessage(Message message)

### dump

    public void dump(IndentPrinter out)

### setParent

    protected void setParent(CountStatistic child,
                             CountStatistic parent)

### setParent

    protected void setParent(TimeStatistic child,
                             TimeStatistic parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.